Loading...
Searching...
No Matches
Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ArImpl Class Reference
Inheritance diagram for Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ArImpl:
[legend]
Collaboration diagram for Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ArImpl:
[legend]

## Public Member Functions

virtual const std::string & | getName () const
virtual const AbcA::MetaData & | getMetaData () const
virtual AbcA::ObjectReaderPtr | getTop ()
virtual AbcA::TimeSamplingPtr | getTimeSampling (Util::uint32_t iIndex)
virtual AbcA::ArchiveReaderPtr | asArchivePtr ()
virtual AbcA::ReadArraySampleCachePtr | getReadArraySampleCachePtr ()
virtual void | setReadArraySampleCachePtr (AbcA::ReadArraySampleCachePtr iPtr)
virtual AbcA::index_t | getMaxNumSamplesForTimeSamplingIndex (Util::uint32_t iIndex)
virtual Util::uint32_t | getNumTimeSamplings ()
virtual Util::int32_t | getArchiveVersion ()
StreamIDPtr | getStreamID ()
const std::vector< AbcA::MetaData > & | getIndexedMetaData ()
Public Member Functions inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader
virtual | ~ArchiveReader ()
virtual void | setReadArraySampleCachePtr (ReadArraySampleCachePtr iPtr)=0
virtual TimeSamplingPtr | getTimeSampling (uint32_t iIndex)=0
| Returns the TimeSampling at a given index.
virtual index_t | getMaxNumSamplesForTimeSamplingIndex (uint32_t iIndex)=0

## Friends

class | ReadArchive

## Member Function Documentation

## asArchivePtr()

AbcA::ArchiveReaderPtr Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ArImpl::asArchivePtr | ( |  | ) |

virtual

Return self ...

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader.

## getArchiveVersion()

virtual Util::int32_t Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ArImpl::getArchiveVersion | ( |  | ) |

inlinevirtual

Returns the Alembic library numeric version (see Foundation.h) of this archive file.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader.

## getMetaData()

const AbcA::MetaData & Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ArImpl::getMetaData | ( |  | ) | const

virtual

The meta data of the archive is the same as the meta data of the top-level object reader.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader.

## getName()

const std::string & Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ArImpl::getName | ( |  | ) | const

virtual

Return the archive (file) name. This is the name of the file which the root reader is associated with.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader.

## getNumTimeSamplings()

virtual Util::uint32_t Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ArImpl::getNumTimeSamplings | ( |  | ) |

inlinevirtual

Returns the total number of TimeSamplingPtrs in the Archive TimeSampling pool.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader.

## getReadArraySampleCachePtr()

virtual AbcA::ReadArraySampleCachePtr Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ArImpl::getReadArraySampleCachePtr | ( |  | ) |

inlinevirtual

Get the read array sample cache. It may be a NULL pointer. Caches can be shared amongst separate archives, and caching will is disabled if a NULL cache is returned here.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader.

## getTop()

AbcA::ObjectReaderPtr Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ArImpl::getTop | ( |  | ) |

virtual

Get (or open) a pointer to the top object reader corresponding to this archive.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader.

The documentation for this class was generated from the following files:

- AbcCoreOgawa/ArImpl.h
- AbcCoreOgawa/ArImpl.cpp